Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Summary:	PNG loader library for OpenGL
Name:		libglpng
Version:	1.45
Release:	1
License:	BSD
Group:		X11/Libraries
Source0:	http://www.wyatt100.freeserve.co.uk/glpng.zip
Patch0:		%{name}-debian.patch
URL:		http://www.fachschaften.neuphilologie.uni-tuebingen.de/doc/libglpng/glpng.html
BuildRequires:	libpng-devel
BuildRequires:	unzip
BuildRoot:	%{_tmppath}/%{name}-%{version}

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
This is a library for OpenGL to load PNG graphics files as an OpenGL
texture as easily as possible.

%package	devel
Summary:	Libraries, includes, etc to develop libglpng applications
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
Libraries, includes, etc to develop libglpng applications.

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%prep
%setup -q -c -n %{name}-%{version}
%patch0 -p1

%build
%{__make} CC="%{__cc}" OPT="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT%_prefix

rm -f Example/*.exe

%files
%defattr(644,root,root,755)
%_libdir/lib*.so.*

%files devel
%defattr(644,root,root,755)
%_includedir
%_libdir/lib*.a
%_libdir/lib*.so
%_datadir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 24 2008 Christian Wasem <wasem@ccux-linux.de> 1.45-1
- initial release